import Vue from 'vue';
import App from './App';
import store from './agrcloud-store';
import indexConfig from '@/agrcloud-config/index.config';

Vue.config.productionTip = false;

App.mpType = 'app';

// 引入全局uView
import uView from 'uview-ui';
Vue.use(uView);

/**
 * 定义全局提示框
 * @title 提示的内容
 * @icon 图标，默认none，可选[显示成功图标: success,显示加载图标: loading,不显示图标: none]
 * @duration 提示的延迟时间，单位毫秒，默认：1500
 * @mask 是否显示透明蒙层,默认不显示
 */
const msgbox = (title, icon = 'none', duration = 1500, mask = false) => {
  if (Boolean(title) === false) {
    return;
  }
  uni.showToast({
    title,
    duration,
    mask,
    icon
  });
};

// 挂载全局vue属性
Vue.prototype.$msgbox = msgbox;
Vue.prototype.baseApiUrl = window.location.origin + indexConfig.baseUrl;

const app = new Vue({
  ...App,
  store
});
app.$mount();
